List all notes.
curl --request GET \
--url https://api.devin.ai/v3/enterprise/knowledge/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/knowledge/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/knowledge/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"access_type": "enterprise",
"body": "<string>",
"created_at": 123,
"folder_id": "<string>",
"folder_path": "<string>",
"is_enabled": true,
"macro": "<string>",
"name": "<string>",
"note_id": "<string>",
"org_id": "<string>",
"pinned_repo": "<string>",
"trigger": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Knowledge Notes (Enterprise)
List all notes.
GET
/
v3
/
enterprise
/
knowledge
/
notes
List all notes.
Permissions
Requires a service user or personal access token with theUseAccountTools permission at the enterprise level. ManageAccountKnowledge also grants access.Authorizations
Service User credential (prefix: cog_)
Query Parameters
Required range:
1 <= x <= 200Available options:
org, enterprise Response
Successful Response
Show child attributes
Show child attributes
Cursor to fetch the next page, or None if this is the last page.
Whether there are more items available after this page.
Optional total count (can be omitted for performance).

